#include "MainComponent.h"

//==============================================================================
MainComponent::MainComponent()
{
    setSize (600, 400);
    
    addAndMakeVisible(slider1);
    slider1.setName("slider1");
    slider1.setNumDecimalPlacesToDisplay(0);
    slider1.setTooltip("This is Slider 1 Tooltip");
    

    addAndMakeVisible(slider2);
    slider2.setName("slider ");
    slider2.setNumDecimalPlacesToDisplay(0);
    slider2.setTooltip("This is Slider 2 Tooltip");

    addAndMakeVisible(but);
    but.setTooltip("This is Button Tooltip");

    addAndMakeVisible(slider3);
    slider3.setName("slider3");
    slider3.setNumDecimalPlacesToDisplay(0);
    slider3.setTooltip("This is Slider 3 Tooltip");

    juce::StringArray menuList = std::initializer_list< const char * >{"Generic 1", "Generic 2", "Generic 3"};
    addAndMakeVisible(box);
    box.addItemList (menuList, 1);
    box.setName("Combo Box");
    box.setSelectedItemIndex(1, juce::dontSendNotification);
    box.setTooltip("This is Combobox Tooltip");
}

MainComponent::~MainComponent()
{
}

//==============================================================================
void MainComponent::paint (juce::Graphics& g)
{
    // (Our component is opaque, so we must completely fill the background with a solid colour)
    g.fillAll (getLookAndFeel().findColour (juce::ResizableWindow::backgroundColourId));

    g.setFont (juce::Font (16.0f));
    g.setColour (juce::Colours::white);
    g.drawText ("Hello World!", getLocalBounds(), juce::Justification::centred, true);
}

void MainComponent::resized()
{
    // This is called when the MainComponent is resized.
    // If you add any child components, this is where you should
    // update their positions.
    
    slider1.setBounds(20,20,300,30);
    slider2.setBounds(20,60,300,30);
    but.setBounds(20,100,100,30);
    slider3.setBounds(20,140,300,30);
    box.setBounds(20,180,100,30);
}
